<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="favicon.ico">

    <title>EmpleosApp | Detalles de la Oferta de Trabajo</title>
    <!-- Bootstrap core CSS -->
    <link th:href="@{/bootstrap/css/bootstrap.min.css}" rel="stylesheet">
    <!-- Custom styles for this template -->
    <link th:href="@{/bootstrap/css/jumbotron.css}" rel="stylesheet">
    <link th:href="@{/bootstrap/css/sticky-footer-navbar.css}" rel="stylesheet">
  </head>

  <body>

    <!-- HEADER -->
	<header th:insert="fragments/menu :: menu-principal"></header>

    <main role="main">
      <hr>
      <div class="container"> 

        <div class="row">
          <div class="col-md-3">
          	<!-- Reemplazamos ruta /images/ por el alias /logos/ definido en la configuracion de este proyecto -->            
            <img class="rounded mx-auto d-block" th:src="@{/images/{img} ( img = ${vacante.imagen} )}" alt="Generic placeholder image" width="220" height="220">            
          </div>
          <div class="col-md-9">
            <div class="card">
              <h4 class="card-header">Aplicar para <strong th:text="${vacante.nombre}"></strong></h4>              
              <div class="card-body">   
              	
              	<!-- Usuarios no logueados deben registrarse. -->
              	<div class="alert alert-danger" role="alert" sec:authorize="isAnonymous()">
				  ¿Te interesa esta Vacante? <strong>Regístrate</strong> y después ingresa para enviar tu CV.
				</div>
				
                <h5 class="card-title"><strong>Categoría: </strong> <span th:text="${vacante.categoria.nombre}"></span></h5>
                <h6 class="card-title"><strong>Publicado: </strong> <span th:text="${vacante.fecha}"></span></h6>                
                <h6 class="card-title"><strong>Salario Ofrecido: </strong><span th:text="${vacante.salario}"></span></h6>
                <p class="card-text" th:text="${vacante.descripcion}"></p>
                
                <div class="card bg-light mb-3" >
                  <div class="card-body">
                    <h5 class="card-title">Detalles de la oferta de trabajo</h5>
                    
                    <!-- Usamos th:utext para renderizar los tags html en el detalle -->
                    <p class="card-text" th:utext="${vacante.detalles}"></p>
                    
                  </div>
                </div>
                <!-- Usuarios logueados podran aplicar a la oferta. Llama a /solicitudes/create -->   
                <a sec:authorize="isAuthenticated()" class="btn btn-primary" th:href="@{/solicitudes/create/{id} (id=${vacante.id}) }" role="button" title="Quiero aplicar para esta oferta de trabajo."><i class="fas fa-file" aria-hidden="true"></i> Aplicar</a>                            
              </div>
            </div>  
          </div>
        </div>

      </div>
    </main>

   <!-- FOOTER -->
    <footer class="footer" th:insert="fragments/footer:: pie-pagina"></footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
    <script th:src="@{/bootstrap/js/bootstrap.min.js}"></script>
  </body>
</html>